Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class AbstractTrainingSetProducerBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          weka.gui.beans.AbstractTrainingSetProducerBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

Direct Known Subclasses:
  TrainingSetMakerBeanInfo

    public class AbstractTrainingSetProducerBeanInfo

extends java.beans.SimpleBeanInfo

BeanInfo class for AbstractTrainingSetProducer

Version:
  $Revision: 1.1 $
Author:
  Mark Hall

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`AbstractTrainingSetProducerBeanInfo()`

Method Summary
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()` Returns event set descriptors for this type of bean

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTrainingSetProducerBeanInfo

    public AbstractTrainingSetProducerBeanInfo()

Method Detail

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

  Returns event set descriptors for this type of bean

  Specified by:
    `getEventSetDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getEventSetDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    an `EventSetDescriptor[]` value

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD